%% VSWR - FAR, HOR

filename = 'matlab_data.xlsx';
sheet = 2;

freq1 = xlsread(filename, sheet, 'A4:A74');
freq2 = xlsread(filename, sheet, 'A74:A134 ');

FH_avg1  = xlsread(filename, sheet, 'AD4:AD74');
FH_avg2  = xlsread(filename, sheet, 'AD74:AD134');
FV_avg1  = xlsread(filename, sheet, 'AC4:AC74');
FV_avg2  = xlsread(filename, sheet, 'AC74:AC134');

SH_avg1  = xlsread(filename, sheet, 'AB4:AB74');
SH_avg2  = xlsread(filename, sheet, 'AB74:AB134');
SV_avg1  = xlsread(filename, sheet, 'AA4:AA74');
SV_avg2  = xlsread(filename, sheet, 'AA74:AA134');

FHC1  = xlsread(filename, sheet, 'C4:C74');
FHF1  = xlsread(filename, sheet, 'D4:D74');
FHL1  = xlsread(filename, sheet, 'E4:E74');
FHR1  = xlsread(filename, sheet, 'F4:F74');
FHT1  = xlsread(filename, sheet, 'G4:G74');

FHC2  = xlsread(filename, sheet, 'C74:C134');
FHF2  = xlsread(filename, sheet, 'D74:D134');
FHL2  = xlsread(filename, sheet, 'E74:E134');
FHR2  = xlsread(filename, sheet, 'F74:F134');
FHT2  = xlsread(filename, sheet, 'G74:G134');

%% VSWR - FAR, VER

FVC1  = xlsread(filename, sheet, 'I4:I74');
FVF1  = xlsread(filename, sheet, 'J4:J74');
FVL1  = xlsread(filename, sheet, 'K4:K74');
FVR1  = xlsread(filename, sheet, 'L4:L74');
FVT1  = xlsread(filename, sheet, 'M4:M74');

FVC2  = xlsread(filename, sheet, 'I74:I134');
FVF2  = xlsread(filename, sheet, 'J74:J134');
FVL2  = xlsread(filename, sheet, 'K74:K134');
FVR2  = xlsread(filename, sheet, 'L74:L134');
FVT2  = xlsread(filename, sheet, 'M74:M134');

%% VSWR - SAR, HOR

SHC1  = xlsread(filename, sheet, 'O4:O74');
SHF1  = xlsread(filename, sheet, 'P4:P74');
SHL1  = xlsread(filename, sheet, 'Q4:Q74');
SHR1  = xlsread(filename, sheet, 'R4:R74');
SHT1  = xlsread(filename, sheet, 'S4:S74');

SHC2  = xlsread(filename, sheet, 'O74:O134');
SHF2  = xlsread(filename, sheet, 'P74:P134');
SHL2  = xlsread(filename, sheet, 'Q74:Q134');
SHR2  = xlsread(filename, sheet, 'R74:R134');
SHT2  = xlsread(filename, sheet, 'S74:S134');

%% VSWR - SAR, VER

SVC1  = xlsread(filename, sheet, 'U4:U74');
SVF1  = xlsread(filename, sheet, 'V4:V74');
SVL1  = xlsread(filename, sheet, 'W4:W74');
SVR1  = xlsread(filename, sheet, 'X4:X74');
SVT1  = xlsread(filename, sheet, 'Y4:Y74');

SVC2  = xlsread(filename, sheet, 'U74:U134');
SVF2  = xlsread(filename, sheet, 'V74:V134');
SVL2  = xlsread(filename, sheet, 'W74:W134');
SVR2  = xlsread(filename, sheet, 'X74:X134');
SVT2  = xlsread(filename, sheet, 'Y74:Y134');

%% Make it fine

 O = 1;
for Q = 1:1:length(freq1)
    for i = 1:1:5
        freq1s(O) = freq1(Q);
  
        FH_avg1s(O) = FH_avg1(Q);
        FV_avg1s(O) = FV_avg1(Q);
        SH_avg1s(O) = SH_avg1(Q);
        SV_avg1s(O) = SV_avg1(Q);
        
        FHC1s(O)  = FHC1(Q); 
        FHF1s(O)  = FHF1(Q);
        FHL1s(O)  = FHL1(Q);
        FHR1s(O)  = FHR1(Q);
        FHT1s(O)  = FHT1(Q);
        
        FVC1s(O)  = FVC1(Q); 
        FVF1s(O)  = FVF1(Q);
        FVL1s(O)  = FVL1(Q);
        FVR1s(O)  = FVR1(Q);
        FVT1s(O)  = FVT1(Q);
        
        SHC1s(O)  = SHC1(Q); 
        SHF1s(O)  = SHF1(Q);
        SHL1s(O)  = SHL1(Q);
        SHR1s(O)  = SHR1(Q);
        SHT1s(O)  = SHT1(Q);
        
        SVC1s(O)  = SVC1(Q); 
        SVF1s(O)  = SVF1(Q);
        SVL1s(O)  = SVL1(Q);
        SVR1s(O)  = SVR1(Q);
        SVT1s(O)  = SVT1(Q);

       O = O+1;
    end
end
   W = window(@hann, 10);
   
   freq1n = filtfilt(W, 4.5, freq1s);
   
   FH_avg1n = filtfilt(W, 4.5, FH_avg1s);
   FV_avg1n = filtfilt(W, 4.5, FV_avg1s);
   SH_avg1n = filtfilt(W, 4.5, SH_avg1s);
   SV_avg1n = filtfilt(W, 4.5, SV_avg1s);
   
     FHC1n = filtfilt(W, 4.5, FHC1s);
     FHF1n = filtfilt(W, 4.5, FHF1s);
     FHL1n = filtfilt(W, 4.5, FHL1s);
     FHR1n = filtfilt(W, 4.5, FHR1s);
     FHT1n = filtfilt(W, 4.5, FHT1s);
     
     FVC1n = filtfilt(W, 4.5, FVC1s);
     FVF1n = filtfilt(W, 4.5, FVF1s);
     FVL1n = filtfilt(W, 4.5, FVL1s);
     FVR1n = filtfilt(W, 4.5, FVR1s);
     FVT1n = filtfilt(W, 4.5, FVT1s);
     
     SHC1n = filtfilt(W, 4.5, SHC1s);
     SHF1n = filtfilt(W, 4.5, SHF1s);
     SHL1n = filtfilt(W, 4.5, SHL1s);
     SHR1n = filtfilt(W, 4.5, SHR1s);
     SHT1n = filtfilt(W, 4.5, SHT1s);
     
     SVC1n = filtfilt(W, 4.5, SVC1s);
     SVF1n = filtfilt(W, 4.5, SVF1s);
     SVL1n = filtfilt(W, 4.5, SVL1s);
     SVR1n = filtfilt(W, 4.5, SVR1s);
     SVT1n = filtfilt(W, 4.5, SVT1s);

     O = 1;
for Q = 1:1:length(freq2)
    for i = 1:1:5
        freq2s(O) = freq2(Q);
  
        FH_avg2s(O) = FH_avg2(Q);
        FV_avg2s(O) = FV_avg2(Q);
        SH_avg2s(O) = SH_avg2(Q);
        SV_avg2s(O) = SV_avg2(Q);
        
        FHC2s(O)  = FHC2(Q);
        FHF2s(O)  = FHF2(Q);
        FHL2s(O)  = FHL2(Q);
        FHR2s(O)  = FHR2(Q);
        FHT2s(O)  = FHT2(Q);
        
        FVC2s(O)  = FVC2(Q);
        FVF2s(O)  = FVF2(Q);
        FVL2s(O)  = FVL2(Q);
        FVR2s(O)  = FVR2(Q);
        FVT2s(O)  = FVT2(Q);
        
        SHC2s(O)  = SHC2(Q); 
        SHF2s(O)  = SHF2(Q);
        SHL2s(O)  = SHL2(Q);
        SHR2s(O)  = SHR2(Q);
        SHT2s(O)  = SHT2(Q);
        
        SVC2s(O)  = SVC2(Q);
        SVF2s(O)  = SVF2(Q);
        SVL2s(O)  = SVL2(Q);
        SVR2s(O)  = SVR2(Q);
        SVT2s(O)  = SVT2(Q);

       O = O+1;
    end
end
   W = window(@hann, 10);
   
   freq2n = filtfilt(W, 4.5, freq2s);
   
     FH_avg2n = filtfilt(W, 4.5, FH_avg2s);
     FV_avg2n = filtfilt(W, 4.5, FV_avg2s);
     SH_avg2n = filtfilt(W, 4.5, SH_avg2s);
     SV_avg2n = filtfilt(W, 4.5, SV_avg2s);
   
     FHC2n = filtfilt(W, 4.5, FHC2s);
     FHF2n = filtfilt(W, 4.5, FHF2s);
     FHL2n = filtfilt(W, 4.5, FHL2s);
     FHR2n = filtfilt(W, 4.5, FHR2s);
     FHT2n = filtfilt(W, 4.5, FHT2s);
     
     FVC2n = filtfilt(W, 4.5, FVC2s);
     FVF2n = filtfilt(W, 4.5, FVF2s);
     FVL2n = filtfilt(W, 4.5, FVL2s);
     FVR2n = filtfilt(W, 4.5, FVR2s);
     FVT2n = filtfilt(W, 4.5, FVT2s);
     
     SHC2n = filtfilt(W, 4.5, SHC2s);
     SHF2n = filtfilt(W, 4.5, SHF2s);
     SHL2n = filtfilt(W, 4.5, SHL2s);
     SHR2n = filtfilt(W, 4.5, SHR2s);
     SHT2n = filtfilt(W, 4.5, SHT2s);
     
     SVC2n = filtfilt(W, 4.5, SVC2s);
     SVF2n = filtfilt(W, 4.5, SVF2s);
     SVL2n = filtfilt(W, 4.5, SVL2s);
     SVR2n = filtfilt(W, 4.5, SVR2s);
     SVT2n = filtfilt(W, 4.5, SVT2s);
     
%% Results 

figure(3)
set(gcf, 'color', [1 1 1])

subplot(2,1,1)
plot(freq1, FHC1, 'b','LineWidth',2)
hold on;
plot(freq1, FHF1, 'g','LineWidth',2)
hold on;
plot(freq1, FHL1, 'r','LineWidth',2)
hold on;
plot(freq1, FHR1, 'c','LineWidth',2)
hold on;
plot(freq1, FHT1, 'm','LineWidth',2)
hold on;


set(gca,'FontSize',25)
title('VSWR - horizontální polarizace (FAR) ');
legend( 'HC', 'HF', 'HL', 'HR', 'HT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
set(gca,'FontSize',20)

subplot(2,1,2)

plot(freq2, FHC2, 'b','LineWidth',2)
hold on;
plot(freq2, FHF2, 'g','LineWidth',2)
hold on;
plot(freq2, FHL2, 'r','LineWidth',2)
hold on;
plot(freq2, FHR2, 'c','LineWidth',2)
hold on;
plot(freq2, FHT2, 'm','LineWidth',2)
hold on;

set(gca,'FontSize',25)
title('VSWR - horizontální polarizace (FAR)');
legend( 'HC', 'HF', 'HL', 'HR', 'HT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
set(gca,'FontSize',20)

figure(4)
set(gcf, 'color', [1 1 1])

subplot(2,1,1)
plot(freq1, FVC1, 'b','LineWidth',2)
hold on;
plot(freq1, FVF1, 'g','LineWidth',2)
hold on;
plot(freq1, FVL1, 'r','LineWidth',2)
hold on;
plot(freq1, FVR1, 'c','LineWidth',2)
hold on;
plot(freq1, FVT1, 'm','LineWidth',2)
hold on;


set(gca,'FontSize',25)
title('VSWR - vertikální polarizace (FAR) ');
legend( 'VC', 'VF', 'VL', 'VR', 'VT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
set(gca,'FontSize',20)

subplot(2,1,2)

plot(freq2, FVC2, 'b','LineWidth',2)
hold on;
plot(freq2, FVF2, 'g','LineWidth',2)
hold on;
plot(freq2, FVL2, 'r','LineWidth',2)
hold on;
plot(freq2, FVR2, 'c','LineWidth',2)
hold on;
plot(freq2, FVT2, 'm','LineWidth',2)
hold on;

set(gca,'FontSize',25)
title('VSWR - vertikální polarizace (FAR)');
legend( 'VC', 'VF', 'VL', 'VR', 'VT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
set(gca,'FontSize',20)

figure(5)
set(gcf, 'color', [1 1 1])

subplot(2,1,1)
plot(freq1, SHC1, 'b','LineWidth',2)
hold on;
plot(freq1, SHF1, 'g','LineWidth',2)
hold on;
plot(freq1, SHL1, 'r','LineWidth',2)
hold on;
plot(freq1, SHR1, 'c','LineWidth',2)
hold on;
plot(freq1, SHT1, 'm','LineWidth',2)
hold on;


set(gca,'FontSize',25)
title('VSWR - horizontální polarizace (SAR) ');
legend( 'HC', 'HF', 'HL', 'HR', 'HT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
set(gca,'FontSize',20)

subplot(2,1,2)

plot(freq2, SHC2, 'b','LineWidth',2)
hold on;
plot(freq2, SHF2, 'g','LineWidth',2)
hold on;
plot(freq2, SHL2, 'r','LineWidth',2)
hold on;
plot(freq2, SHR2, 'c','LineWidth',2)
hold on;
plot(freq2, SHT2, 'm','LineWidth',2)
hold on;

set(gca,'FontSize',25)
title('VSWR - horizontální polarizace (SAR)');
legend( 'HC', 'HF', 'HL', 'HR', 'HT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
set(gca,'FontSize',20)

figure(6)
set(gcf, 'color', [1 1 1])

subplot(2,1,1)
plot(freq1, SVC1, 'b','LineWidth',2)
hold on;
plot(freq1, SVF1, 'g','LineWidth',2)
hold on;
plot(freq1, SVL1, 'r','LineWidth',2)
hold on;
plot(freq1, SVR1, 'c','LineWidth',2)
hold on;
plot(freq1, SVT1, 'm','LineWidth',2)
hold on;


set(gca,'FontSize',25)
title('VSWR - vertikální polarizace (SAR) ');
legend( 'VC', 'VF', 'VL', 'VR', 'VT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
set(gca,'FontSize',20)

subplot(2,1,2)

plot(freq2, SVC2, 'b','LineWidth',2)
hold on;
plot(freq2, SVF2, 'g','LineWidth',2)
hold on;
plot(freq2, SVL2, 'r','LineWidth',2)
hold on;
plot(freq2, SVR2, 'c','LineWidth',2)
hold on;
plot(freq2, SVT2, 'm','LineWidth',2)
hold on;

set(gca,'FontSize',25)
title('VSWR - vertikální polarizace (SAR)');
legend( 'VC', 'VF', 'VL', 'VR', 'VT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
set(gca,'FontSize',20)


%% results n

figure(7)
set(gcf, 'color', [1 1 1])

subplot(2,1,1)
plot(freq1n, FHC1n, 'b','LineWidth',2)
hold on;
plot(freq1n, FHF1n, 'g','LineWidth',2)
hold on;
plot(freq1n, FHL1n, 'r','LineWidth',2)
hold on;
plot(freq1n, FHR1n, 'c','LineWidth',2)
hold on;
plot(freq1n, FHT1n, 'm','LineWidth',2)
hold on;


set(gca,'FontSize',25)
title('VSWR - horizontální polarizace (FAR) ');
legend( 'HC', 'HF', 'HL', 'HR', 'HT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
xlim([1 6])
set(gca,'FontSize',20)

subplot(2,1,2)

plot(freq2n, FHC2n, 'b','LineWidth',2)
hold on;
plot(freq2n, FHF2n, 'g','LineWidth',2)
hold on;
plot(freq2n, FHL2n, 'r','LineWidth',2)
hold on;
plot(freq2n, FHR2n, 'c','LineWidth',2)
hold on;
plot(freq2n, FHT2n, 'm','LineWidth',2)
hold on;

set(gca,'FontSize',25)
title('VSWR - horizontální polarizace (FAR)');
legend( 'HC', 'HF', 'HL', 'HR', 'HT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
xlim([6 18]);
set(gca,'FontSize',20)

figure(8)
set(gcf, 'color', [1 1 1])

subplot(2,1,1)
plot(freq1n, FVC1n, 'b','LineWidth',2)
hold on;
plot(freq1n, FVF1n, 'g','LineWidth',2)
hold on;
plot(freq1n, FVL1n, 'r','LineWidth',2)
hold on;
plot(freq1n, FVR1n, 'c','LineWidth',2)
hold on;
plot(freq1n, FVT1n, 'm','LineWidth',2)
hold on;


set(gca,'FontSize',25)
title('VSWR - vertikální polarizace (FAR) ');
legend( 'VC', 'VF', 'VL', 'VR', 'VT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
xlim([1 6]);
set(gca,'FontSize',20)

subplot(2,1,2)

plot(freq2n, FVC2n, 'b','LineWidth',2)
hold on;
plot(freq2n, FVF2n, 'g','LineWidth',2)
hold on;
plot(freq2n, FVL2n, 'r','LineWidth',2)
hold on;
plot(freq2n, FVR2n, 'c','LineWidth',2)
hold on;
plot(freq2n, FVT2n, 'm','LineWidth',2)
hold on;

set(gca,'FontSize',25)
title('VSWR - vertikální polarizace (FAR)');
legend( 'VC', 'VF', 'VL', 'VR', 'VT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6]);
xlim([6 18]);
set(gca,'FontSize',20)

figure(9)
set(gcf, 'color', [1 1 1])

subplot(2,1,1)
plot(freq1n, SHC1n, 'b','LineWidth',2)
hold on;
plot(freq1n, SHF1n, 'g','LineWidth',2)
hold on;
plot(freq1n, SHL1n, 'r','LineWidth',2)
hold on;
plot(freq1n, SHR1n, 'c','LineWidth',2)
hold on;
plot(freq1n, SHT1n, 'm','LineWidth',2)
hold on;


set(gca,'FontSize',25)
title('VSWR - horizontální polarizace (SAR) ');
legend( 'HC', 'HF', 'HL', 'HR', 'HT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6]);
xlim([1 6]);
set(gca,'FontSize',20)

subplot(2,1,2)

plot(freq2n, SHC2n, 'b','LineWidth',2)
hold on;
plot(freq2n, SHF2n, 'g','LineWidth',2)
hold on;
plot(freq2n, SHL2n, 'r','LineWidth',2)
hold on;
plot(freq2n, SHR2n, 'c','LineWidth',2)
hold on;
plot(freq2n, SHT2n, 'm','LineWidth',2)
hold on;

set(gca,'FontSize',25)
title('VSWR - horizontální polarizace (SAR)');
legend( 'HC', 'HF', 'HL', 'HR', 'HT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
xlim([6 18]);
set(gca,'FontSize',20)

figure(10)
set(gcf, 'color', [1 1 1])

subplot(2,1,1)
plot(freq1n, SVC1n, 'b','LineWidth',2)
hold on;
plot(freq1n, SVF1n, 'g','LineWidth',2)
hold on;
plot(freq1n, SVL1n, 'r','LineWidth',2)
hold on;
plot(freq1n, SVR1n, 'c','LineWidth',2)
hold on;
plot(freq1n, SVT1n, 'm','LineWidth',2)
hold on;


set(gca,'FontSize',25)
title('VSWR - vertikální polarizace (SAR) ');
legend( 'VC', 'VF', 'VL', 'VR', 'VT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
xlim([1 6]);
set(gca,'FontSize',20)

subplot(2,1,2)

plot(freq2n, SVC2n, 'b','LineWidth',2)
hold on;
plot(freq2n, SVF2n, 'g','LineWidth',2)
hold on;
plot(freq2n, SVL2n, 'r','LineWidth',2)
hold on;
plot(freq2n, SVR2n, 'c','LineWidth',2)
hold on;
plot(freq2n, SVT2n, 'm','LineWidth',2)
hold on;

set(gca,'FontSize',25)
title('VSWR - vertikální polarizace (SAR)');
legend( 'VC', 'VF', 'VL', 'VR', 'VT', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
xlim([6 18]);
set(gca,'FontSize',20)

%% Srovnani

figure(11)
set(gcf, 'color', [1 1 1])

subplot(2,1,1)
plot(freq1n, FH_avg1n, 'b','LineWidth',2)
hold on;
plot(freq1n, FV_avg1n, 'g','LineWidth',2)
hold on;
plot(freq1n, SH_avg1n, 'r','LineWidth',2)
hold on;
plot(freq1n, SV_avg1n, 'c','LineWidth',2)
hold on;

set(gca,'FontSize',25)
title('VSWR - Srovnání ');
legend( 'FAR (H)', 'FAR (V)', 'SAR (H)', 'SAR (V)', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
xlim([1 6]);
set(gca,'FontSize',20)

subplot(2,1,2)

plot(freq2n, FH_avg2n, 'b','LineWidth',2)
hold on;
plot(freq2n, FV_avg2n, 'g','LineWidth',2)
hold on;
plot(freq2n, SH_avg2n, 'r','LineWidth',2)
hold on;
plot(freq2n, SV_avg2n, 'c','LineWidth',2)
hold on;

set(gca,'FontSize',25)
title('VSWR - Srovnání');
legend( 'FAR (H)', 'FAR (V)', 'SAR (H)', 'SAR (V)', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
xlim([6 18]);
set(gca,'FontSize',20)


figure(12)
set(gcf, 'color', [1 1 1])

subplot(2,1,1)
plot(freq1, FH_avg1, 'b','LineWidth',2)
hold on;
plot(freq1, FV_avg1, 'g','LineWidth',2)
hold on;
plot(freq1, SH_avg1, 'r','LineWidth',2)
hold on;
plot(freq1, SV_avg1, 'c','LineWidth',2)
hold on;

set(gca,'FontSize',25)
title('VSWR - Srovnání ');
legend( 'FAR (H)', 'FAR (V)', 'SAR (H)', 'SAR (V)', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
xlim([1 6]);
set(gca,'FontSize',20)

subplot(2,1,2)

plot(freq2, FH_avg2, 'b','LineWidth',2)
hold on;
plot(freq2, FV_avg2, 'g','LineWidth',2)
hold on;
plot(freq2, SH_avg2, 'r','LineWidth',2)
hold on;
plot(freq2, SV_avg2, 'c','LineWidth',2)
hold on;

set(gca,'FontSize',25)
title('VSWR - Srovnání ');
legend( 'FAR (H)', 'FAR (V)', 'SAR (H)', 'SAR (V)', 'Location','northeast','Orientation','vertical')
xlabel('Frekvence [GHz]');
ylabel('Odchylka [dB]');
ylim([0 6])
xlim([6 18]);
set(gca,'FontSize',20)
